説明

OMG
RTC仕様で定義されているFSMコンポーネントを実装すること。Fsmコンポーネント、FsmParticipantコンポーネントおよび、その
状態遷移とイベントの関連付けなど、状態遷移型コンポーネントを実装するために必要な機構を実装すること。

関係しているリビジョン
リビジョン 898 - 2016/12/28 22:27 - win-ei

[FSM4RTC]Added ImplementedClass of FsmObject interface.(Work in progress)  refs #3773

リビジョン 899 - 2016/12/28 22:28 - win-ei

[FSM4RTC]Added ImplementedClass of FsmParticipant interface.(Work in progress)  refs #3773

リビジョン 903 - 2017/01/13 19:25 - win-ei

[FSM4RTC]Changed those for implementation of a FsmParticipant component..  refs #3773

リビジョン 904 - 2017/01/17 10:41 - win-ei

[FSM4RTC]Fixed bugs.  refs #3773

履歴
#1 - 2017/01/12 13:56 - win-ei

作業メモ

EventDrivenExecutionContextについて

Stimulus Response Processing(FSM用)ExecutionContextクラス。

FsmBehaviorコンポーネントについて

DataFlowComponentActionOperationsのメソッドは以下。FSMでは不要。
RTC.ReturnCode_t on_execute (int exec_handle);
RTC.ReturnCode_t on_state_update (int exec_handle);
RTC.ReturnCode_t on_rate_changed (int exec_handle);

RTObject_implの修正について

クラス図
https://yuml.me/diagram/scruffy/class/draw
[MyContainedA]-^[DataFlowComponentBase]
[DataFlowComponentBase]-^[RTObject_impl]
[MyStartComp]-^[FsmParticipantBase]
[FsmParticipantBase]-^[RTObject_impl]
[RTObject_impl]-.-^[RTC.DataFlowComponent]
[RTObject_impl]-.-^[RTC.FsmParticipant]
[DataFlowComponent_impl]-^[RTC.DataFlowComponentPOA]
[FsmParticipant_impl]-^[RTC.FsmParticipantPOA]
[RTObject_impl]-[DataFlowComponent_impl]
[RTObject_impl]-[FsmParticipant_impl]

OpenRTM.idlの修正
https://yuml.me/diagram/scruffy/class/draw


実装で、RTC::RTObject を使用している箇所があるので、OpenRTM::DataFlowComponent と同じように OpenRTM.idl
にOpenRTM::FiniteStateMachineComponen の追加を検討する。(現状、コメントアウトされている。)

��interface�FiniteStateMachineComponent
����:�RTC::RTObject,�RTC::FsmParticipant
��{
��};

#2 - 2017/01/12 19:38 - win-ei

- ファイル cba6f5e2.pdf を追加

#3 - 2017/01/12 19:45 - win-ei

- ファイル を削除 (cba6f5e2.pdf)

#4 - 2017/01/12 19:46 - win-ei

- ファイル eb079851.pdf を追加

- ファイル jfsm-master.zip を追加

#5 - 2017/01/13 13:42 - win-ei

- ファイル b7e6678c.pdf を追加

#6 - 2017/01/13 17:23 - win-ei

- ファイル e57fc126.pdf を追加

ファイル
eb079851.pdf 53.5 KB 2017/01/12 win-ei

jfsm-master.zip 96.1 KB 2017/01/12 win-ei

b7e6678c.pdf 28.9 KB 2017/01/13 win-ei

e57fc126.pdf 133 KB 2017/01/13 win-ei
